import 'package:args/args.dart';

import '../core/app_constants.dart';
import '../models/config_model.dart';

/// Config repository
class ConfigRepository {
  ArgResults argResults;
  ConfigRepository(this.argResults);

  /// Execute usecase
  ConfigModel call() {
    late double percentage;
    late List<String> excludeSufixes;
    late bool log;
    late String? packageName;

    try {
      percentage = double.parse(argResults[AppConstants.argLongCoverage]);
      final String excludesResult =
          argResults[AppConstants.argLongExcludeSufix];
      excludeSufixes = excludesResult
          .split(',')
          .map((e) => e.trim())
          .where((element) => element != '')
          .toList();
      log = argResults[AppConstants.argLongLog].toString().toLowerCase() ==
          'true';
      packageName = argResults[AppConstants.argLongPackageName];
    } catch (e) {
      print(e);
      rethrow;
    }

    return ConfigModel(
        percentage: percentage,
        excludeSufixes: excludeSufixes,
        log: log,
        packageName: packageName);
  }
}
